
import random
import virtualenv

def create_virtualenv_with_random_package(name):
    """
    This function creates a virtual environment and installs a random package from the virtualenv library.
    """
    package_list = ['pip', 'setuptools', 'wheel', 'virtualenv', 'virtualenvwrapper', 'venv', 'flit']
    selected_package = random.choice(package_list)
    
    with virtualenvvirtualenv.create_env(name):
        virtualenvvirtualenv.activate()
        virtualenvvirtualenv.run('pip install ' + selected_package)
        
    return name

